[arch-commits] Commit in slim/trunk (PKGBUILD slim-1.3.1-gcc44.patch)

Allan McRae allan at archlinux.org
Tue Jun 30 02:44:58 EDT 2009


    Date: Tuesday, June 30, 2009 @ 02:44:57
  Author: allan
Revision: 43902

upgpkg: slim 1.3.1-2
    libjpeg soname bump rebuild, add build patch

Added:
  slim/trunk/slim-1.3.1-gcc44.patch
Modified:
  slim/trunk/PKGBUILD

------------------------+
 PKGBUILD               |   13 ++++++++-----
 slim-1.3.1-gcc44.patch |   12 ++++++++++++
 2 files changed, 20 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-30 06:44:25 UTC (rev 43901)
+++ PKGBUILD	2009-06-30 06:44:57 UTC (rev 43902)
@@ -4,28 +4,31 @@
 
 pkgname=slim
 pkgver=1.3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Desktop-independent graphical login manager for X11"
 arch=('i686' 'x86_64')
 url="http://slim.berlios.de/"
 license=('GPL2')
-depends=('gcc-libs' 'libxmu' 'libpng' 'libjpeg' 'libxft')
+depends=('gcc-libs' 'libxmu' 'libpng' 'libjpeg>=7' 'libxft')
 backup=('etc/slim.conf' 'etc/logrotate.d/slim' 'etc/pam.d/slim')
 install=slim.install
 source=(http://download.berlios.de/slim/slim-$pkgver.tar.gz
         slim
         slim.logrotate
         slim.pam
-        slim-restart.patch)
+        slim-restart.patch
+        slim-1.3.1-gcc44.patch)
 md5sums=('727d0acb24c0fbf0751134c37a9c895f'
          'd8ea9c4dee2811524b67f4f666311a1f'
          '43da096480bf72c3ccec8ad8400f34f0'
          'b20fe3c8487a039050986d60e45233a9'
-         '648d871fe7d2a97b7d7b928019e2feee')
+         '648d871fe7d2a97b7d7b928019e2feee'
+         '197e6d05af30e32f96e6fb36110ae752')
 
 build() {
   cd "$srcdir/slim-$pkgver"
-
+  patch -Np1 -i $srcdir/slim-1.3.1-gcc44.patch || return 1
+  
   # Restart Xserver if killed
   # http://developer.berlios.de/patch/?func=detailpatch&patch_id=2378&group_id=2663
   patch -Np1 -i "$srcdir/slim-restart.patch" || return 1

Added: slim-1.3.1-gcc44.patch
===================================================================
--- slim-1.3.1-gcc44.patch	                        (rev 0)
+++ slim-1.3.1-gcc44.patch	2009-06-30 06:44:57 UTC (rev 43902)
@@ -0,0 +1,12 @@
+diff -up slim-1.3.1/switchuser.cpp.orig slim-1.3.1/switchuser.cpp
+diff -up slim-1.3.1/switchuser.h.orig slim-1.3.1/switchuser.h
+--- slim-1.3.1/switchuser.h.orig	2008-09-26 02:54:15.000000000 +0200
++++ slim-1.3.1/switchuser.h	2009-02-22 10:55:51.000000000 +0100
+@@ -13,6 +13,7 @@
+ #define _SWITCHUSER_H_
+ 
+ #include <stdlib.h>
++#include <stdio.h> /* remove */
+ #include <unistd.h>
+ #include <string.h>
+ #include <pwd.h>



More information about the arch-commits mailing list